package net.wanji.opt.dao.mapper;

import net.wanji.opt.po.base.CrossSchemePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/17 14:49
 * @desc CrossSchemeMapper
 */
@Repository
public interface CrossSchemeMapper {

    /**
     * 查询方案基础信息列表
     * @param crossId
     * @return
     */
    List<CrossSchemePO> listCrossSchemeInfo(@Param("crossId") String crossId, @Param("schemeNo")String schemeNo, @Param("id")Integer id);

}
